Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Service_Config.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Default_Constants.h"`
`#include "ace/Unbounded_Queue.h"`
`#include "ace/Unbounded_Set.h"`
`#include "ace/SString.h"`
`#include "ace/OS_NS_signal.h"`
`#include "ace/Service_Config.inl"`

Include dependency graph for Service_Config.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Static_Svc_Descriptor
| Holds the information necessary to describe a statically linked Svc. More...
class | ACE_Service_Config
| Supplies common server operations for dynamic and static configuration of services. More...
## Defines
#define | ACE_DYNAMIC_SERVICE_DIRECTIVE(ident, libpathname, objectclass, parameters)
#define | ACE_REMOVE_SERVICE_DIRECTIVE(ident)
#define | ACE_Component_Config ACE_Service_Config
## Typedefs
typedef ACE_Unbounded_Set< ACE_Static_Svc_Descriptor * > | ACE_STATIC_SVCS
typedef ACE_Unbounded_Set_Iterator< ACE_Static_Svc_Descriptor * > | ACE_STATIC_SVCS_ITERATOR
typedef ACE_Unbounded_Queue< ACE_TString > | ACE_SVC_QUEUE
typedef ACE_Unbounded_Queue_Iterator< ACE_TString > | ACE_SVC_QUEUE_ITERATOR
## Variables
ACE_END_VERSIONED_NAMESPACE_DECL typedef ACE_Service_Object *(* | ACE_SERVICE_ALLOCATOR )(ACE_Service_Object_Exterminator *)

## Detailed Description

Id
  Service_Config.h,v 4.103 2006/02/10 10:47:41 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Define Documentation

#define ACE_Component_Config ACE_Service_Config

#define ACE_DYNAMIC_SERVICE_DIRECTIVE | ( | ident,
|  | libpathname,
|  | objectclass,
|  | parameters |  | ) |

| Value:
    ACE_LIB_TEXT ("dynamic ") \
      ACE_LIB_TEXT (ident) \
      ACE_LIB_TEXT (" Service_Object * ") \
      ACE_LIB_TEXT (libpathname) \
      ACE_LIB_TEXT (":") \
      ACE_LIB_TEXT (objectclass) \
      ACE_LIB_TEXT ("() \"") \
      ACE_LIB_TEXT (parameters) \
      ACE_LIB_TEXT ("\"")

#define ACE_REMOVE_SERVICE_DIRECTIVE | ( | ident |  | ) |

| Value:
    ACE_LIB_TEXT ("remove ") \
      ACE_LIB_TEXT (ident)

## Typedef Documentation

typedef ACE_Unbounded_Set<ACE_Static_Svc_Descriptor *> ACE_STATIC_SVCS

typedef ACE_Unbounded_Set_Iterator<ACE_Static_Svc_Descriptor *> ACE_STATIC_SVCS_ITERATOR

typedef ACE_Unbounded_Queue<ACE_TString> ACE_SVC_QUEUE

typedef ACE_Unbounded_Queue_Iterator<ACE_TString> ACE_SVC_QUEUE_ITERATOR

## Variable Documentation

ACE_END_VERSIONED_NAMESPACE_DECL typedef ACE_Service_Object*(* ACE_SERVICE_ALLOCATOR)(ACE_Service_Object_Exterminator *)